/**
 * @file
 * Custum.js.
 *
 * Filename:     custum.js.
 * Website:      http://www.ordasoft.com
 * Description:  file custom javascript
 * Author:       ordasoft dev team ordasoft.com.
 */

(function ($) {
  "use strict";
  Drupal.behaviors.osDeltaReady = {
  attach: function (context, settings) {
      if ($("[rel=tooltip]").length) {
        $("[rel=tooltip]").tooltip();
      }

      $(".maimMenu .menu").addClass('nav navbar-nav');
        $(".menu li a + ul").addClass('red');
        $(".menu.nav.navbar-nav.red li a + ul").addClass('house_menu');

    var mainMenu = $('.maimMenu ul.menu');
      mainMenu.find('li.expanded > a').append('<span class="arrow"></span>');
      mainMenu.find(' > li').last().addClass('lastChild');

      // Global responsive menu.
      var gmenu = $(".mainMenu ul.menu");
      gmenu.find("ul").has("li").removeClass("menu");
      gmenu.find("li").has("ul").addClass("parent");
      gmenu.find("li").has("a.active").addClass("active");
      gmenu.find("li.parent > a").removeAttr("href").next("ul").hide();
      gmenu.find("li.parent > a").append("<span class='arrow'></span>");
      function clickOrHover() {
        if ($(window).width() >= 980) {
          return true;
        }
        return false;
      }
      gmenu.find("li.parent").hover(function () {
        if (clickOrHover() && !$.children("ul").is(":visible")) {
          $.children("ul").stop().slideDown(100);
        }
      },
      function () {
        if (clickOrHover() && $.children("ul").is(":visible")) {
          $.children("ul").slideUp(100);
        }
      });
      gmenu.find("li.parent a").click(function () {
        var checkElement = $.next();
        if (checkElement.is("ul")) {
          if (!checkElement.is(":visible")) {
            checkElement.slideDown(100);
          }
          else {
            checkElement.slideUp(100);
          }
        }
      });
    }
  };
})(jQuery);
